%define language cs-CZ
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Czech
%define name mozilla-thunderbird-enigmail-%{locale}
%define version 1.5.0.4
%define release %mkrel 2
%define _buildroot %{_tmppath}/%{name}-buildroot
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/enigmail-%language-%{enigmail_version}.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale}

%description
%{langname} localisation for Mozilla Enigmail in Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/

cat << EOF >  %buildroot%{mozillalibdir}/extensions/$LANGPACK/chrome.manifest
locale        enigmail    cs-CZ       jar:chrome/enigmail-cs-CZ.jar!/locale/cs-CZ/enigmail/
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{mozillalibdir}/extensions/*

%changelog
* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.4-2mdv2007.0
- update langpack
- add missing manifest

* Sat Jun 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.4-1mdv2007.0
- New release 1.5.0.4

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-2mdk
- Rebuild

* Wed Feb 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Thu Oct 13 2005 Nicolas Lcureuil <neoclus@tmandriva.org> 1.0.7-1mdk
- Initial Mandriva Release
